org.apache.hadoop.hdfs.server.diskbalancer.connectors

## Interface ClusterConnector

- All Known Implementing Classes:
    JsonNodeConnector

      public interface ClusterConnector

  ClusterConnector interface hides all specifics about how we communicate to the HDFS cluster. This interface returns data in classes that diskbalancer understands.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getConnectorInfo()` Returns info about the connector.
    `List<DiskBalancerDataNode>` | `getNodes()` getNodes function returns a list of DiskBalancerDataNodes.

- - ### Method Detail

    - #### getNodes

          List<DiskBalancerDataNode> getNodes()
                                       throws Exception

      getNodes function returns a list of DiskBalancerDataNodes.
      Returns:
        Array of DiskBalancerDataNodes
      Throws:
        `Exception`

    - #### getConnectorInfo

          String getConnectorInfo()

      Returns info about the connector.
      Returns:
        String.

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.